#!/bin/bash -e
LANGPACKS=http://download.eclipse.org/technology/babel/babel_language_packs
ZIP_DOWNLOAD_PAGE=$LANGPACKS/ganymede.php

CURL='curl -H Pragma: --remote-time --show-error --silent'
#CURL='curl --remote-time --show-error'
WORKDIR=eclipse-nls
mkdir -p $WORKDIR
cd $WORKDIR
$CURL $ZIP_DOWNLOAD_PAGE -o index.html
ziplist=`mktemp --tmpdir -t`
sed -n 's/.*<a href="\([^"]*\.zip\)">.*/\1/p' index.html > $ziplist
version=`sed -n 's/.*_\([^_]*\)\.zip.*/\1/p' $ziplist|head -1`
echo "Langpack version: $version"

for zip in `cat $ziplist`; do
  zipbase=`basename $zip`
  if [ ! -r $zipbase ]; then
    echo "Downloading $zipbase"
    $CURL -o $zipbase.tmp -C - $LANGPACKS/$zip
	mv $zipbase.tmp $zipbase
  fi
done
rm -f $ziplist
cd ..
tar cjf BabelLanguagePack-$version.tar.bz2 $WORKDIR
